Subject: Re: [PATCH] maintenance: make unregister idempotent

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Sep 2022 13:44:02 -0700

Derrick Stolee <[email-masked]> writes:

> Adding a 'git maintenance list-registered' or something would solve
> that problem, but I'm not sure it is a super high priority.

Is that "git maintenance" or "scalar" that list-registered would
hang below?

In any case, I tend to think the word "idempotent" is used as a
rough synonym to "sloppy", but unregistering from the automatic
maintenance (but still known as part of enlistment?) would probably
be a rare event that would not be a huge deal if the user failed to
do so without getting reminded, so I would not oppose to the step
[2/2] of the updated series.

Thanks, queued.